/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class PluginGroup extends com.mysql.grt.GrtObject {

    protected PluginGroup() {
    }

    public PluginGroup(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new PluginGroupDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new PluginGroupDataGlobal((String) obj);
        }
    }

    public int getPosition() {
        return ((PluginGroupData) data).getPosition();
    }

    public int setPosition(int position) {
        ((PluginGroupData) data).setPosition(position);

        return getPosition();
    }

    public com.mysql.grt.base.PluginGroupList getSubGroups() {
        return ((PluginGroupData) data).getSubGroups();
    }

    public com.mysql.grt.base.PluginGroupList setSubGroups(com.mysql.grt.base.PluginGroupList subGroups) {
        ((PluginGroupData) data).setSubGroups(subGroups);

        return getSubGroups();
    }

    public com.mysql.grt.base.PluginList getPlugins() {
        return ((PluginGroupData) data).getPlugins();
    }

    public com.mysql.grt.base.PluginList setPlugins(com.mysql.grt.base.PluginList plugins) {
        ((PluginGroupData) data).setPlugins(plugins);

        return getPlugins();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"position\">"
                    + Integer.toString(getPosition()) + "</value>\n");

            if (getSubGroups() != null) {
                getSubGroups().getGrtXml(xml, " key=\"subGroups\"");
            }

            if (getPlugins() != null) {
                getPlugins().getGrtRefXml(xml, " key=\"plugins\"");
            }

        return xml;
    }
}
