/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class CanvasDataLocal extends com.mysql.grt.GrtObjectDataLocal implements CanvasData {

    private com.mysql.grt.canvas.ViewList views;

    private com.mysql.grt.canvas.LayerList layers;

    private com.mysql.grt.GrtHashMap model;

    public CanvasDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.GrtHashMap getModel() {
        if (model == null)
            model = new com.mysql.grt.GrtHashMap(this.grtObject);
        return model;
    }

    public com.mysql.grt.GrtHashMap setModel(com.mysql.grt.GrtHashMap model) {
        this.model = model;

        return getModel();
    }

    public com.mysql.grt.canvas.ViewList getViews() {
        if (views == null)
            views = new com.mysql.grt.canvas.ViewList(this.grtObject);
        return views;
    }

    public com.mysql.grt.canvas.ViewList setViews(com.mysql.grt.canvas.ViewList views) {
        this.views = views;
        return getViews();
    }

    public com.mysql.grt.canvas.LayerList getLayers() {
        if (layers == null)
            layers = new com.mysql.grt.canvas.LayerList(this.grtObject);
        return layers;
    }

    public com.mysql.grt.canvas.LayerList setLayers(com.mysql.grt.canvas.LayerList layers) {
        this.layers = layers;
        return getLayers();
    }

}
