/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class CatalogDataLocal extends com.mysql.grt.base.NamedGrtObjectDataLocal implements CatalogData {

    private String defaultCharacterSetName;

    private String defaultCollationName;

    private com.mysql.grt.db.SchemaList schemata;

    private com.mysql.grt.db.Version version;

    private com.mysql.grt.db.SimpleDatatypeList simpleDatatypes;

    private com.mysql.grt.db.CharacterSetList characterSets;

    public CatalogDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getDefaultCharacterSetName() {
        return defaultCharacterSetName;
    }

    public String setDefaultCharacterSetName(String defaultCharacterSetName) {
        this.defaultCharacterSetName = defaultCharacterSetName;

        return getDefaultCharacterSetName();
    }

    public String getDefaultCollationName() {
        return defaultCollationName;
    }

    public String setDefaultCollationName(String defaultCollationName) {
        this.defaultCollationName = defaultCollationName;

        return getDefaultCollationName();
    }

    public com.mysql.grt.db.Version getVersion() {
        if (version == null)
            version = new com.mysql.grt.db.Version(this.grtObject);
        return version;
    }

    public com.mysql.grt.db.Version setVersion(com.mysql.grt.db.Version version) {
        this.version = version;

        return getVersion();
    }

    public com.mysql.grt.db.SchemaList getSchemata() {
        if (schemata == null)
            schemata = new com.mysql.grt.db.SchemaList(this.grtObject);
        return schemata;
    }

    public com.mysql.grt.db.SchemaList setSchemata(com.mysql.grt.db.SchemaList schemata) {
        this.schemata = schemata;
        return getSchemata();
    }

    public com.mysql.grt.db.SimpleDatatypeList getSimpleDatatypes() {
        if (simpleDatatypes == null)
            simpleDatatypes = new com.mysql.grt.db.SimpleDatatypeList(this.grtObject);
        return simpleDatatypes;
    }

    public com.mysql.grt.db.SimpleDatatypeList setSimpleDatatypes(com.mysql.grt.db.SimpleDatatypeList simpleDatatypes) {
        this.simpleDatatypes = simpleDatatypes;
        return getSimpleDatatypes();
    }

    public com.mysql.grt.db.CharacterSetList getCharacterSets() {
        if (characterSets == null)
            characterSets = new com.mysql.grt.db.CharacterSetList(this.grtObject);
        return characterSets;
    }

    public com.mysql.grt.db.CharacterSetList setCharacterSets(com.mysql.grt.db.CharacterSetList characterSets) {
        this.characterSets = characterSets;
        return getCharacterSets();
    }

}
