/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class Sequence extends com.mysql.grt.db.DatabaseObject {

    protected Sequence() {
    }

    public Sequence(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new SequenceDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new SequenceDataGlobal((String) obj);
        }
    }

    public int getCycleFlag() {
        return ((SequenceData) data).getCycleFlag();
    }

    public int setCycleFlag(int cycleFlag) {
        ((SequenceData) data).setCycleFlag(cycleFlag);

        return getCycleFlag();
    }

    public int getOrderFlag() {
        return ((SequenceData) data).getOrderFlag();
    }

    public int setOrderFlag(int orderFlag) {
        ((SequenceData) data).setOrderFlag(orderFlag);

        return getOrderFlag();
    }

    public String getMinValue() {
        return ((SequenceData) data).getMinValue();
    }

    public String setMinValue(String minValue) {
        ((SequenceData) data).setMinValue(minValue);

        return getMinValue();
    }

    public String getMaxValue() {
        return ((SequenceData) data).getMaxValue();
    }

    public String setMaxValue(String maxValue) {
        ((SequenceData) data).setMaxValue(maxValue);

        return getMaxValue();
    }

    public String getIncrementBy() {
        return ((SequenceData) data).getIncrementBy();
    }

    public String setIncrementBy(String incrementBy) {
        ((SequenceData) data).setIncrementBy(incrementBy);

        return getIncrementBy();
    }

    public String getCacheSize() {
        return ((SequenceData) data).getCacheSize();
    }

    public String setCacheSize(String cacheSize) {
        ((SequenceData) data).setCacheSize(cacheSize);

        return getCacheSize();
    }

    public String getLastNumber() {
        return ((SequenceData) data).getLastNumber();
    }

    public String setLastNumber(String lastNumber) {
        ((SequenceData) data).setLastNumber(lastNumber);

        return getLastNumber();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"cycleFlag\">"
                    + Integer.toString(getCycleFlag()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"orderFlag\">"
                    + Integer.toString(getOrderFlag()) + "</value>\n");

            if (getMinValue() != null) {
                xml.append("<value type=\"string\" key=\"minValue\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getMinValue()) + "</value>\n");
            }

            if (getMaxValue() != null) {
                xml.append("<value type=\"string\" key=\"maxValue\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getMaxValue()) + "</value>\n");
            }

            if (getIncrementBy() != null) {
                xml.append("<value type=\"string\" key=\"incrementBy\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getIncrementBy()) + "</value>\n");
            }

            if (getCacheSize() != null) {
                xml.append("<value type=\"string\" key=\"cacheSize\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCacheSize()) + "</value>\n");
            }

            if (getLastNumber() != null) {
                xml.append("<value type=\"string\" key=\"lastNumber\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getLastNumber()) + "</value>\n");
            }

        return xml;
    }
}
