/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class SequenceDataGlobal extends com.mysql.grt.db.DatabaseObjectDataGlobal implements SequenceData {

    public SequenceDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getCycleFlag() {
        return getGrtGlobalAsInt("cycleFlag");
    }

    public int setCycleFlag(int cycleFlag) {
        setGrtGlobalFromInt("cycleFlag", cycleFlag);

        return getCycleFlag();
    }

    public int getOrderFlag() {
        return getGrtGlobalAsInt("orderFlag");
    }

    public int setOrderFlag(int orderFlag) {
        setGrtGlobalFromInt("orderFlag", orderFlag);

        return getOrderFlag();
    }

    public String getMinValue() {
        return getGrtGlobalAsString("minValue");
    }

    public String setMinValue(String minValue) {
        setGrtGlobalFromString("minValue", minValue);

        return getMinValue();
    }

    public String getMaxValue() {
        return getGrtGlobalAsString("maxValue");
    }

    public String setMaxValue(String maxValue) {
        setGrtGlobalFromString("maxValue", maxValue);

        return getMaxValue();
    }

    public String getIncrementBy() {
        return getGrtGlobalAsString("incrementBy");
    }

    public String setIncrementBy(String incrementBy) {
        setGrtGlobalFromString("incrementBy", incrementBy);

        return getIncrementBy();
    }

    public String getCacheSize() {
        return getGrtGlobalAsString("cacheSize");
    }

    public String setCacheSize(String cacheSize) {
        setGrtGlobalFromString("cacheSize", cacheSize);

        return getCacheSize();
    }

    public String getLastNumber() {
        return getGrtGlobalAsString("lastNumber");
    }

    public String setLastNumber(String lastNumber) {
        setGrtGlobalFromString("lastNumber", lastNumber);

        return getLastNumber();
    }

}
