/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class StructuredDatatypeDataLocal extends com.mysql.grt.db.DatabaseObjectDataLocal implements StructuredDatatypeData {

    private com.mysql.grt.db.ColumnList distinctTypes;

    private String parentType;

    public StructuredDatatypeDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.db.ColumnList getDistinctTypes() {
        if (distinctTypes == null)
            distinctTypes = new com.mysql.grt.db.ColumnList(this.grtObject);
        return distinctTypes;
    }

    public com.mysql.grt.db.ColumnList setDistinctTypes(com.mysql.grt.db.ColumnList distinctTypes) {
        this.distinctTypes = distinctTypes;
        return getDistinctTypes();
    }

    public com.mysql.grt.db.StructuredDatatype getParentType() {
        return (com.mysql.grt.db.StructuredDatatype) com.mysql.grt.Grt.getInstance().getObjectByRefId(parentType);
    }

    public com.mysql.grt.db.StructuredDatatype setParentType(com.mysql.grt.db.StructuredDatatype parentType) {
        this.parentType = parentType.get_id();
        return getParentType();
    }

    public String getParentTypeById() {
        return parentType;
    }

    public void setParentTypeById(String parentType) {
        this.parentType = parentType;
    }

}
