/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class TriggerDataGlobal extends com.mysql.grt.base.NamedGrtObjectDataGlobal implements TriggerData {

    public TriggerDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getOrder() {
        return getGrtGlobalAsInt("order");
    }

    public int setOrder(int order) {
        setGrtGlobalFromInt("order", order);

        return getOrder();
    }

    public int getEnabled() {
        return getGrtGlobalAsInt("enabled");
    }

    public int setEnabled(int enabled) {
        setGrtGlobalFromInt("enabled", enabled);

        return getEnabled();
    }

    public String getEvent() {
        return getGrtGlobalAsString("event");
    }

    public String setEvent(String event) {
        setGrtGlobalFromString("event", event);

        return getEvent();
    }

    public String getCondition() {
        return getGrtGlobalAsString("condition");
    }

    public String setCondition(String condition) {
        setGrtGlobalFromString("condition", condition);

        return getCondition();
    }

    public String getStatement() {
        return getGrtGlobalAsString("statement");
    }

    public String setStatement(String statement) {
        setGrtGlobalFromString("statement", statement);

        return getStatement();
    }

    public String getOrientation() {
        return getGrtGlobalAsString("orientation");
    }

    public String setOrientation(String orientation) {
        setGrtGlobalFromString("orientation", orientation);

        return getOrientation();
    }

    public String getTiming() {
        return getGrtGlobalAsString("timing");
    }

    public String setTiming(String timing) {
        setGrtGlobalFromString("timing", timing);

        return getTiming();
    }

    public String getReferenceNewTable() {
        return getGrtGlobalAsString("referenceNewTable");
    }

    public String setReferenceNewTable(String referenceNewTable) {
        setGrtGlobalFromString("referenceNewTable", referenceNewTable);

        return getReferenceNewTable();
    }

    public String getReferenceOldTable() {
        return getGrtGlobalAsString("referenceOldTable");
    }

    public String setReferenceOldTable(String referenceOldTable) {
        setGrtGlobalFromString("referenceOldTable", referenceOldTable);

        return getReferenceOldTable();
    }

    public String getReferenceNewRow() {
        return getGrtGlobalAsString("referenceNewRow");
    }

    public String setReferenceNewRow(String referenceNewRow) {
        setGrtGlobalFromString("referenceNewRow", referenceNewRow);

        return getReferenceNewRow();
    }

    public String getReferenceOldRow() {
        return getGrtGlobalAsString("referenceOldRow");
    }

    public String setReferenceOldRow(String referenceOldRow) {
        setGrtGlobalFromString("referenceOldRow", referenceOldRow);

        return getReferenceOldRow();
    }

}
