/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class DatatypeMapping extends com.mysql.grt.GrtObject {

    protected DatatypeMapping() {
    }

    public DatatypeMapping(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new DatatypeMappingDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new DatatypeMappingDataGlobal((String) obj);
        }
    }

    public int getLengthConditionFrom() {
        return ((DatatypeMappingData) data).getLengthConditionFrom();
    }

    public int setLengthConditionFrom(int lengthConditionFrom) {
        ((DatatypeMappingData) data).setLengthConditionFrom(lengthConditionFrom);

        return getLengthConditionFrom();
    }

    public int getLengthConditionTo() {
        return ((DatatypeMappingData) data).getLengthConditionTo();
    }

    public int setLengthConditionTo(int lengthConditionTo) {
        ((DatatypeMappingData) data).setLengthConditionTo(lengthConditionTo);

        return getLengthConditionTo();
    }

    public int getLength() {
        return ((DatatypeMappingData) data).getLength();
    }

    public int setLength(int length) {
        ((DatatypeMappingData) data).setLength(length);

        return getLength();
    }

    public int getPrecisionConditionFrom() {
        return ((DatatypeMappingData) data).getPrecisionConditionFrom();
    }

    public int setPrecisionConditionFrom(int precisionConditionFrom) {
        ((DatatypeMappingData) data).setPrecisionConditionFrom(precisionConditionFrom);

        return getPrecisionConditionFrom();
    }

    public int getPrecisionConditionTo() {
        return ((DatatypeMappingData) data).getPrecisionConditionTo();
    }

    public int setPrecisionConditionTo(int precisionConditionTo) {
        ((DatatypeMappingData) data).setPrecisionConditionTo(precisionConditionTo);

        return getPrecisionConditionTo();
    }

    public int getPrecision() {
        return ((DatatypeMappingData) data).getPrecision();
    }

    public int setPrecision(int precision) {
        ((DatatypeMappingData) data).setPrecision(precision);

        return getPrecision();
    }

    public int getScaleConditionFrom() {
        return ((DatatypeMappingData) data).getScaleConditionFrom();
    }

    public int setScaleConditionFrom(int scaleConditionFrom) {
        ((DatatypeMappingData) data).setScaleConditionFrom(scaleConditionFrom);

        return getScaleConditionFrom();
    }

    public int getScaleConditionTo() {
        return ((DatatypeMappingData) data).getScaleConditionTo();
    }

    public int setScaleConditionTo(int scaleConditionTo) {
        ((DatatypeMappingData) data).setScaleConditionTo(scaleConditionTo);

        return getScaleConditionTo();
    }

    public int getScale() {
        return ((DatatypeMappingData) data).getScale();
    }

    public int setScale(int scale) {
        ((DatatypeMappingData) data).setScale(scale);

        return getScale();
    }

    public int getAutoIncrement() {
        return ((DatatypeMappingData) data).getAutoIncrement();
    }

    public int setAutoIncrement(int autoIncrement) {
        ((DatatypeMappingData) data).setAutoIncrement(autoIncrement);

        return getAutoIncrement();
    }

    public String getSourceDatatypeName() {
        return ((DatatypeMappingData) data).getSourceDatatypeName();
    }

    public String setSourceDatatypeName(String sourceDatatypeName) {
        ((DatatypeMappingData) data).setSourceDatatypeName(sourceDatatypeName);

        return getSourceDatatypeName();
    }

    public String getTargetDatatypeName() {
        return ((DatatypeMappingData) data).getTargetDatatypeName();
    }

    public String setTargetDatatypeName(String targetDatatypeName) {
        ((DatatypeMappingData) data).setTargetDatatypeName(targetDatatypeName);

        return getTargetDatatypeName();
    }

    public String getCharacterSet() {
        return ((DatatypeMappingData) data).getCharacterSet();
    }

    public String setCharacterSet(String characterSet) {
        ((DatatypeMappingData) data).setCharacterSet(characterSet);

        return getCharacterSet();
    }

    public String getCollation() {
        return ((DatatypeMappingData) data).getCollation();
    }

    public String setCollation(String collation) {
        ((DatatypeMappingData) data).setCollation(collation);

        return getCollation();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"lengthConditionFrom\">"
                    + Integer.toString(getLengthConditionFrom()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"lengthConditionTo\">"
                    + Integer.toString(getLengthConditionTo()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"length\">"
                    + Integer.toString(getLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"precisionConditionFrom\">"
                    + Integer.toString(getPrecisionConditionFrom()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"precisionConditionTo\">"
                    + Integer.toString(getPrecisionConditionTo()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"precision\">"
                    + Integer.toString(getPrecision()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"scaleConditionFrom\">"
                    + Integer.toString(getScaleConditionFrom()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"scaleConditionTo\">"
                    + Integer.toString(getScaleConditionTo()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"scale\">"
                    + Integer.toString(getScale()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"autoIncrement\">"
                    + Integer.toString(getAutoIncrement()) + "</value>\n");

            if (getSourceDatatypeName() != null) {
                xml.append("<value type=\"string\" key=\"sourceDatatypeName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getSourceDatatypeName()) + "</value>\n");
            }

            if (getTargetDatatypeName() != null) {
                xml.append("<value type=\"string\" key=\"targetDatatypeName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getTargetDatatypeName()) + "</value>\n");
            }

            if (getCharacterSet() != null) {
                xml.append("<value type=\"string\" key=\"characterSet\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCharacterSet()) + "</value>\n");
            }

            if (getCollation() != null) {
                xml.append("<value type=\"string\" key=\"collation\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCollation()) + "</value>\n");
            }

        return xml;
    }
}
