/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class DatatypeMappingDataLocal extends com.mysql.grt.GrtObjectDataLocal implements DatatypeMappingData {

    private int lengthConditionFrom;

    private int lengthConditionTo;

    private int length;

    private int precisionConditionFrom;

    private int precisionConditionTo;

    private int precision;

    private int scaleConditionFrom;

    private int scaleConditionTo;

    private int scale;

    private int autoIncrement;

    private String sourceDatatypeName;

    private String targetDatatypeName;

    private String characterSet;

    private String collation;

    public DatatypeMappingDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getLengthConditionFrom() {
        return lengthConditionFrom;
    }

    public int setLengthConditionFrom(int lengthConditionFrom) {
        this.lengthConditionFrom = lengthConditionFrom;

        return getLengthConditionFrom();
    }

    public int getLengthConditionTo() {
        return lengthConditionTo;
    }

    public int setLengthConditionTo(int lengthConditionTo) {
        this.lengthConditionTo = lengthConditionTo;

        return getLengthConditionTo();
    }

    public int getLength() {
        return length;
    }

    public int setLength(int length) {
        this.length = length;

        return getLength();
    }

    public int getPrecisionConditionFrom() {
        return precisionConditionFrom;
    }

    public int setPrecisionConditionFrom(int precisionConditionFrom) {
        this.precisionConditionFrom = precisionConditionFrom;

        return getPrecisionConditionFrom();
    }

    public int getPrecisionConditionTo() {
        return precisionConditionTo;
    }

    public int setPrecisionConditionTo(int precisionConditionTo) {
        this.precisionConditionTo = precisionConditionTo;

        return getPrecisionConditionTo();
    }

    public int getPrecision() {
        return precision;
    }

    public int setPrecision(int precision) {
        this.precision = precision;

        return getPrecision();
    }

    public int getScaleConditionFrom() {
        return scaleConditionFrom;
    }

    public int setScaleConditionFrom(int scaleConditionFrom) {
        this.scaleConditionFrom = scaleConditionFrom;

        return getScaleConditionFrom();
    }

    public int getScaleConditionTo() {
        return scaleConditionTo;
    }

    public int setScaleConditionTo(int scaleConditionTo) {
        this.scaleConditionTo = scaleConditionTo;

        return getScaleConditionTo();
    }

    public int getScale() {
        return scale;
    }

    public int setScale(int scale) {
        this.scale = scale;

        return getScale();
    }

    public int getAutoIncrement() {
        return autoIncrement;
    }

    public int setAutoIncrement(int autoIncrement) {
        this.autoIncrement = autoIncrement;

        return getAutoIncrement();
    }

    public String getSourceDatatypeName() {
        return sourceDatatypeName;
    }

    public String setSourceDatatypeName(String sourceDatatypeName) {
        this.sourceDatatypeName = sourceDatatypeName;

        return getSourceDatatypeName();
    }

    public String getTargetDatatypeName() {
        return targetDatatypeName;
    }

    public String setTargetDatatypeName(String targetDatatypeName) {
        this.targetDatatypeName = targetDatatypeName;

        return getTargetDatatypeName();
    }

    public String getCharacterSet() {
        return characterSet;
    }

    public String setCharacterSet(String characterSet) {
        this.characterSet = characterSet;

        return getCharacterSet();
    }

    public String getCollation() {
        return collation;
    }

    public String setCollation(String collation) {
        this.collation = collation;

        return getCollation();
    }

}
