/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class RoutineDataGlobal extends com.mysql.grt.db.RoutineDataGlobal implements RoutineData {

    public RoutineDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getAggregate() {
        return getGrtGlobalAsInt("aggregate");
    }

    public int setAggregate(int aggregate) {
        setGrtGlobalFromInt("aggregate", aggregate);

        return getAggregate();
    }

    public int getPipelined() {
        return getGrtGlobalAsInt("pipelined");
    }

    public int setPipelined(int pipelined) {
        setGrtGlobalFromInt("pipelined", pipelined);

        return getPipelined();
    }

    public int getParallel() {
        return getGrtGlobalAsInt("parallel");
    }

    public int setParallel(int parallel) {
        setGrtGlobalFromInt("parallel", parallel);

        return getParallel();
    }

    public String getImplTypeOwner() {
        return getGrtGlobalAsString("implTypeOwner");
    }

    public String setImplTypeOwner(String implTypeOwner) {
        setGrtGlobalFromString("implTypeOwner", implTypeOwner);

        return getImplTypeOwner();
    }

    public String getImplTypeName() {
        return getGrtGlobalAsString("implTypeName");
    }

    public String setImplTypeName(String implTypeName) {
        setGrtGlobalFromString("implTypeName", implTypeName);

        return getImplTypeName();
    }

}
