/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class WorkbenchDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements WorkbenchData {

    public WorkbenchDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getVersion() {
        return getGrtGlobalAsInt("version");
    }

    public int setVersion(int version) {
        setGrtGlobalFromInt("version", version);

        return getVersion();
    }

    public com.mysql.grt.db.mgmt.Connection getConnection() {
        return (com.mysql.grt.db.mgmt.Connection) getGrtGlobalAsObject("connection");

    }

    public com.mysql.grt.db.mgmt.Connection setConnection(com.mysql.grt.db.mgmt.Connection connection) {
        setGrtGlobalFromObject("connection", connection);

        return getConnection();
    }

    public com.mysql.grt.db.Catalog getCatalog() {
        return (com.mysql.grt.db.Catalog) getGrtGlobalAsObject("catalog");

    }

    public com.mysql.grt.db.Catalog setCatalog(com.mysql.grt.db.Catalog catalog) {
        setGrtGlobalFromObject("catalog", catalog);

        return getCatalog();
    }

    public com.mysql.grt.db.workbench.Model getModel() {
        return (com.mysql.grt.db.workbench.Model) getGrtGlobalAsObject("model");

    }

    public com.mysql.grt.db.workbench.Model setModel(com.mysql.grt.db.workbench.Model model) {
        setGrtGlobalFromObject("model", model);

        return getModel();
    }

    public com.mysql.grt.db.mgmt.Rdbms getRdbms() {
        return (com.mysql.grt.db.mgmt.Rdbms) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("rdbms"));
    }

    public com.mysql.grt.db.mgmt.Rdbms setRdbms(com.mysql.grt.db.mgmt.Rdbms rdbms) {
        setGrtGlobalFromString("rdbms", rdbms.get_id());

        return getRdbms();
    }

    public String getRdbmsById() {
        return getGrtGlobalAsString("rdbms");
    }

    public void setRdbmsById(String rdbms) {
        setGrtGlobalFromString("rdbms", rdbms);
    }

}
