/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class WorkbenchDataLocal extends com.mysql.grt.GrtObjectDataLocal implements WorkbenchData {

    private int version;

    private com.mysql.grt.db.mgmt.Connection connection;

    private com.mysql.grt.db.Catalog catalog;

    private com.mysql.grt.db.workbench.Model model;

    private String rdbms;

    public WorkbenchDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getVersion() {
        return version;
    }

    public int setVersion(int version) {
        this.version = version;

        return getVersion();
    }

    public com.mysql.grt.db.mgmt.Connection getConnection() {
        if (connection == null)
            connection = new com.mysql.grt.db.mgmt.Connection(this.grtObject);
        return connection;
    }

    public com.mysql.grt.db.mgmt.Connection setConnection(com.mysql.grt.db.mgmt.Connection connection) {
        this.connection = connection;

        return getConnection();
    }

    public com.mysql.grt.db.Catalog getCatalog() {
        if (catalog == null)
            catalog = new com.mysql.grt.db.Catalog(this.grtObject);
        return catalog;
    }

    public com.mysql.grt.db.Catalog setCatalog(com.mysql.grt.db.Catalog catalog) {
        this.catalog = catalog;

        return getCatalog();
    }

    public com.mysql.grt.db.workbench.Model getModel() {
        if (model == null)
            model = new com.mysql.grt.db.workbench.Model(this.grtObject);
        return model;
    }

    public com.mysql.grt.db.workbench.Model setModel(com.mysql.grt.db.workbench.Model model) {
        this.model = model;

        return getModel();
    }

    public com.mysql.grt.db.mgmt.Rdbms getRdbms() {
        return (com.mysql.grt.db.mgmt.Rdbms) com.mysql.grt.Grt.getInstance().getObjectByRefId(rdbms);
    }

    public com.mysql.grt.db.mgmt.Rdbms setRdbms(com.mysql.grt.db.mgmt.Rdbms rdbms) {
        this.rdbms = rdbms.get_id();
        return getRdbms();
    }

    public String getRdbmsById() {
        return rdbms;
    }

    public void setRdbmsById(String rdbms) {
        this.rdbms = rdbms;
    }

}
