/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class MenuitemDataLocal extends com.mysql.grt.GrtObjectDataLocal implements MenuitemData {

    private int checked;

    private int enabled;

    private int imageIndex;

    private String action;

    private String caption;

    private String eventOnClick;

    private com.mysql.grt.forms.MenuitemList items;

    public MenuitemDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getChecked() {
        return checked;
    }

    public int setChecked(int checked) {
        this.checked = checked;

        return getChecked();
    }

    public int getEnabled() {
        return enabled;
    }

    public int setEnabled(int enabled) {
        this.enabled = enabled;

        return getEnabled();
    }

    public int getImageIndex() {
        return imageIndex;
    }

    public int setImageIndex(int imageIndex) {
        this.imageIndex = imageIndex;

        return getImageIndex();
    }

    public String getAction() {
        return action;
    }

    public String setAction(String action) {
        this.action = action;

        return getAction();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getEventOnClick() {
        return eventOnClick;
    }

    public String setEventOnClick(String eventOnClick) {
        this.eventOnClick = eventOnClick;

        return getEventOnClick();
    }

    public com.mysql.grt.forms.MenuitemList getItems() {
        if (items == null)
            items = new com.mysql.grt.forms.MenuitemList(this.grtObject);
        return items;
    }

    public com.mysql.grt.forms.MenuitemList setItems(com.mysql.grt.forms.MenuitemList items) {
        this.items = items;
        return getItems();
    }

}
