/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class Group extends com.mysql.grt.GrtObject {

    protected Group() {
    }

    public Group(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new GroupDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new GroupDataGlobal((String) obj);
        }
    }

    public String getDescription() {
        return ((GroupData) data).getDescription();
    }

    public String setDescription(String description) {
        ((GroupData) data).setDescription(description);

        return getDescription();
    }

    public com.mysql.grt.model.GroupList getSubGroups() {
        return ((GroupData) data).getSubGroups();
    }

    public com.mysql.grt.model.GroupList setSubGroups(com.mysql.grt.model.GroupList subGroups) {
        ((GroupData) data).setSubGroups(subGroups);

        return getSubGroups();
    }

    public com.mysql.grt.model.ElementList getElements() {
        return ((GroupData) data).getElements();
    }

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements) {
        ((GroupData) data).setElements(elements);

        return getElements();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getDescription() != null) {
                xml.append("<value type=\"string\" key=\"description\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDescription()) + "</value>\n");
            }

            if (getSubGroups() != null) {
                getSubGroups().getGrtXml(xml, " key=\"subGroups\"");
            }

            if (getElements() != null) {
                getElements().getGrtXml(xml, " key=\"elements\"");
            }

        return xml;
    }
}
