/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class LayerDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements LayerData {

    public LayerDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getEnabled() {
        return getGrtGlobalAsInt("enabled");
    }

    public int setEnabled(int enabled) {
        setGrtGlobalFromInt("enabled", enabled);

        return getEnabled();
    }

    public int getVisible() {
        return getGrtGlobalAsInt("visible");
    }

    public int setVisible(int visible) {
        setGrtGlobalFromInt("visible", visible);

        return getVisible();
    }

    public double getLeft() {
        return getGrtGlobalAsReal("left");
    }

    public double setLeft(double left) {
        setGrtGlobalFromReal("left", left);

        return getLeft();
    }

    public double getTop() {
        return getGrtGlobalAsReal("top");
    }

    public double setTop(double top) {
        setGrtGlobalFromReal("top", top);

        return getTop();
    }

    public double getWidth() {
        return getGrtGlobalAsReal("width");
    }

    public double setWidth(double width) {
        setGrtGlobalFromReal("width", width);

        return getWidth();
    }

    public double getHeight() {
        return getGrtGlobalAsReal("height");
    }

    public double setHeight(double height) {
        setGrtGlobalFromReal("height", height);

        return getHeight();
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

    public com.mysql.grt.model.GroupList getGroups() {
        return (com.mysql.grt.model.GroupList) getGrtGlobalAsObject("groups");
    }

    public com.mysql.grt.model.GroupList setGroups(com.mysql.grt.model.GroupList groups) {
        setGrtGlobalFromObject("groups", groups);

        return getGroups();
    }

    public com.mysql.grt.model.LayerList getSubLayers() {
        return (com.mysql.grt.model.LayerList) getGrtGlobalAsObject("subLayers");
    }

    public com.mysql.grt.model.LayerList setSubLayers(com.mysql.grt.model.LayerList subLayers) {
        setGrtGlobalFromObject("subLayers", subLayers);

        return getSubLayers();
    }

    public com.mysql.grt.model.ElementList getElements() {
        return (com.mysql.grt.model.ElementList) getGrtGlobalAsObject("elements");
    }

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements) {
        setGrtGlobalFromObject("elements", elements);

        return getElements();
    }

}
