/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class ModelDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ModelData {

    private com.mysql.grt.model.ViewList views;

    private com.mysql.grt.model.MarkerList markers;

    private String currentView;

    public ModelDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.model.ViewList getViews() {
        if (views == null)
            views = new com.mysql.grt.model.ViewList(this.grtObject);
        return views;
    }

    public com.mysql.grt.model.ViewList setViews(com.mysql.grt.model.ViewList views) {
        this.views = views;
        return getViews();
    }

    public com.mysql.grt.model.MarkerList getMarkers() {
        if (markers == null)
            markers = new com.mysql.grt.model.MarkerList(this.grtObject);
        return markers;
    }

    public com.mysql.grt.model.MarkerList setMarkers(com.mysql.grt.model.MarkerList markers) {
        this.markers = markers;
        return getMarkers();
    }

    public com.mysql.grt.model.View getCurrentView() {
        return (com.mysql.grt.model.View) com.mysql.grt.Grt.getInstance().getObjectByRefId(currentView);
    }

    public com.mysql.grt.model.View setCurrentView(com.mysql.grt.model.View currentView) {
        this.currentView = currentView.get_id();
        return getCurrentView();
    }

    public String getCurrentViewById() {
        return currentView;
    }

    public void setCurrentViewById(String currentView) {
        this.currentView = currentView;
    }

}
